body { 
    font-family: Arial, sans-serif;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
 }
 *{
    scrollbar-width: thin;
    scrollbar-color: #0099ff #1a1a1a;
}
p{
    font-family: 'poppins', sans-serif;
}
h2{
    font-family: 'poppins', sans-serif;
    font-weight: 600;
}
h3{
    font-family: 'poppins', sans-serif;
    font-weight: 500;
}
a{
    text-decoration: none;
    font-family: 'poppins', sans-serif;
}
html{
    scroll-behavior: smooth;
    scrollbar-width: thin;
    scrollbar-color: #0099ff #1a1a1a;
}
::-webkit-scrollbar{
    width: 8px;
}
::-webkit-scrollbar-track{
    background: #1a1a1a;
    border-radius: 10px;
}
::-webkit-scrollbar-thumb{
    background: #ff9800;
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover{
    background: rgb(255, 145, 71);
}

 .loader{
    border: 4px solid #180020;
    border-left: none;
    padding: 25px;
    border-radius: 50px;
    position: fixed;
    z-index: 1000;
    top:50%;
    left: 50%;
    animation: spin .3s ease-in-out infinite;
 }
 @keyframes spin {
    0%{
        transform: rotateY(200deg);
    }
    50%{
        transform: rotateX(200deg);
    }
 }

 .section{
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 1s ease-out, transform 1.5s ease-out;
}
.section.visible{
    opacity: 1;
    transform: translateY(0);
}


 header {
    top: 0;
    margin-bottom: 80px;
    width: 100%;
    position: fixed;
    border-bottom: 1px solid rgb(37, 37, 37);
    background: #18002081;
    backdrop-filter: blur(5px);
    color: white;
    padding: 6px 20px;
    z-index: 100;
    
   
}
.Components{
    transform: translateY(-30px);
    opacity: 0;
    position: absolute;
    background-color: #e0e0e0;
    padding: 10px;
    
    border-radius: 5px;
    left: -45px;
    margin-top: 10px;
    width: 180px;
    text-align: center;
    transition:  .3s ease-in-out, opacity .4s ease-in-out;
    
    a{
        line-height: 50px;
        color:#150025;
        

        .liner{
            background-color: #150025;
        }
    }
}
.comp-container{
    position: relative;
    transition:  .3s ease;
}
.comp-container:hover .Components{
    transform: translateY(0px);
    opacity: 1;
}
nav{
    margin: 0px;
    align-items: center;
    display: flex;
    justify-content: space-around;
}
nav img{
    height: 50px;
    border-radius: 30px;
}
.hamburger{
    display: none;
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: space-between;
}

nav ul li {
    
    font-size: 18px;
    margin: 0 15px;
    
}
nav ul li:hover .liner{
    width: 100%;
}
.liner{
    position: absolute;
    bottom: -5px;
    left: 3px;
    margin-left: 0;
    width: 0px;
    background-color: white;
    height: 2px;
    transition: .5s ease-in-out;
}

nav ul li a {
    position: relative;
    color: white;
    text-decoration: none;
}



/* Hero Section */
.hero {
    text-align: center;
    padding: 150px 20px 200px 20px;
    background-image: linear-gradient(to top, #150025, #26004660, #22003de7), url(images/template-hero.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    animation: slowmotion 5s ease-in-out infinite;
}
@keyframes slowmotion {
    25%{
        background-position: top;
    }
    50%{
        background-position: left;
    }
    75%{
        background-position: right;
    }
    100%{
        background-position: center;
    }
}

.hero-text h2 {
    color: white;
    font-size: 60px;
    margin-bottom: 0px;
}
.hero-text h2 span{
    font-weight: 300;
    color: #6e6e6e;
}
.hero-text p{
    margin: 10px 30% 10px 30%;
    color: white;
    font-family: 'Poppins', sans-serif;
    margin-top: 10px;
    font-size: 14px;
    
}

.hero-text div{
    margin-top: 50px;
}
.orange-bg{
    margin-right: 20px;
    padding: 15px 20px;
    background: #ffffff;
    color: rgb(0, 0, 0);
    border-radius: 30px;
    text-decoration: none;
    margin-top: 10px;
}
.orange-bg:hover .fa-arrow-right{
    padding: 11px;
}
.orange-border{
    background-color: none;
    border: 2px solid #ffffff;
    padding: 15px 20px;
    border-radius: 30px;
    color: white;
    text-decoration: none;
}
.fa-arrow-right{
    padding: 10px;
    border-radius: 30px;
    background-color: rgb(0, 0, 0);
    color: #ffff;
    border: none;
    transition: .3s ease-in-out;
}
.invalidEmail{
    display: none;
    margin: 0px 30%;
    padding: 10px 100px;
    text-align: center;
    background-color: bisque;
    position: fixed;
    top: 40%;
    z-index: 50;
    font-size: 15px;

    p{
        line-height: 20px;
    }
    summary{
        color: rgb(245, 110, 0);
        cursor: pointer;
        margin-bottom: 10px;
    }
    button{
        cursor: pointer;
        padding: 10px 15px;
        background-color: rgb(245, 110, 0);
        border: none;
        border-radius: 20px;
    }
}
.warning{
    font-size: 30px;
}

.search-input{
    margin-top: 50px;
    text-align: center;
}
.search-input input{
    padding: 10px;
    border: 2px solid rgb(32, 0, 32);
    border-radius: 50px;
    font-size: 17px;
}
.red{
    border:  2px solid red !important;
}
.search-input input::placeholder{
    padding-left: 40px;
    transition: .3s ease;
}
.search-input input:focus::placeholder{
    padding-left: 0px;
}
.search-input button{
    padding: 10px 15px;
    background-color: #200020;
    border: none;
    color: white;
    border-radius: 50px;
    font-size: 17px;
    cursor: pointer;
}
#noResults{
    text-align: center;
    padding: 50px;
    background-color: red;
    color: white;
    line-height: 30px;
}
#haveResults{
    text-align: center;
    padding: 20px;
    margin: 10px 30%;
    background-color: green;
    color: white;
    line-height: 30px;
    font-size: 30px;
}
.categories{
    text-align: center;
    padding: 20px 30%;
}
.categories h4{
    font-size: 25px;
}
.categories button{
    border-radius: 30px;
    padding: 5px 10px;
    border: 2px solid rgb(24, 0, 32);
    margin: 5px;
    color: black;
    background-color: transparent;
    font-size: 15px;
    cursor: pointer;
    transition: .3s ease;
}
.categories button:hover{
    background-color: rgb(24, 0, 32);
    color: white;
}




 .portfolio-container{
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    justify-content: center;
 }
 .portfolio-container a{
    text-decoration: none;
 }

.container { 
    box-shadow: 1px 1px 5px rgb(192, 192, 192);
    position: relative;
    text-align: center;
    min-width: 330px; 
    max-width: 350px;
    margin: 10px 10px; 
    padding: 10px;
    border: 1px solid #ddd; 
    border-radius: 5px; 
    animation: appear 5s linear;
    animation-timeline: view();
    animation-range: entry 0% ;
}
@keyframes appear {
    from {
        opacity: 0;
        scale: 0;
    }
    to{
        opacity: 1;
        scale: 1;
    }
}
.container .img-container{
    text-align: center;
    background-color: grey;
    height: 170px;
    border-radius: 10px;
}
.container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}
.container h2{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    margin-top: 0px;
    color: black;
    font-size: 20px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;

    span{
        padding: 5px 10px;
        font-family: 'Poppins', sans-serif;
        font-size: 12px;
        color: white;
        background-color: orangered;
        border-radius: 50px;
    }
}
.container p{
    color: black;
    font-size: 16px ;
    font-weight: bold;
}
.container p span{
    text-decoration: line-through;
}
.container h4{
    font-size: 15px;
    font-weight: 100;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    margin-top: 5px;
}
.rating-star{
    color: rgb(240, 184, 0);
}
.rating-star .fa-star:nth-child(5){
    color: grey;
}
.rating-star2{
    color: rgb(240, 184, 0);
}
.rating-star2 .fa-star:nth-child(5), .rating-star2 .fa-star:nth-child(4){
    color: grey;
}
.container input{
    padding: 10px;
    border: 2px solid rgb(65, 0, 65);
}
.buy-now { 
    padding: 10px 20px; 
    background-color: rgb(65, 0, 65); 
    color: white; border: none;
    cursor: pointer; 
    transition: .1s ease;
}
.buy-now:hover{
    background-color: rgb(44, 0, 44);
}
.buy-now:active{
    background-color: rgb(112, 1, 112);
}
.rolling{
    display: none;
    margin-top: 10px;
    text-align: center;
    width: 10px;
    padding: 10px;
    border-top: 2px solid rgb(170, 77, 0);
    border-bottom: 2px solid rgb(24, 0, 32);
    border-radius: 50px;
    animation: roll .18s infinite;
    transition: .3s ease;
}
@keyframes roll {
    0%{
        transform: rotate();
    }
    100%{
        transform: rotate(180deg);
    }
}

.seeMore{
    margin-top: 50px;
    margin-bottom: 30px;
    text-align: center;

    a{
        background-color: rgb(24, 0, 32);
        padding: 10px 15px;
        color: white;
        text-decoration: none;
        border-radius: 30px;
    }
    a:hover .fa-arrow-right{
        scale: 1;
    }
    .fa-arrow-right{
        padding: 7px;
        background-color: white;
        color: black;
        scale: 0.4;
    }
}



.grid-container{
    padding: 100px 30px 50px 30px;
    
}
.grid-head{
    

    h2{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-weight: 1000;
        font-size: 32px;
    }
    p{
        font-size: 16px;
        line-height: 25px;
        color: #353535;
        padding: 10px 40% 10px 0px;
    }
}

.full-width{
    display: flex;
    width: 97%;
    justify-content: space-between;
    background-color: #f3f2f285;
    padding: 20px;
    border: 2px solid #bebdbd;
    border-radius: 20px;
    gap: 20px;

    .grid-text{
        align-content: center;

        h2{
            font-weight: 300;
            font-size: 25px;
            margin-bottom: 0;
        }
        p{
            font-size: 15px;
            color: #353535;
        }
    }


    .environments{
        width: 380px;
        

        .env{
            position: relative;
            border: 0.6px solid rgb(204, 204, 204);
            border-radius: 5px;
            margin-bottom: 10px;
            padding: 10px;
            background-color: white;

            h3{
                margin-top: 5px;
                margin-bottom: 5px;
                font-weight: 300;
                font-size: 20px;
                color: #1d1d1d;
            }
            p{
                margin-top: 10px;
                color: #6e6e6e;
                font-size: 14px;
                line-height: 20px;
            }
        }

    }

}

.grid{
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(400px, 1fr));
    margin-top: 30px;
    gap: 20px;
    row-gap: 20px;

    .card{
        padding: 20px;
        background-color: #f3f2f285;
        border-radius: 20px;
        border: 1.5px solid #bebdbd;
        text-decoration: none;

        h3{
            font-size: 20px;
            font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif ;
            color: #353535;

            strong{
                color: rgb(37, 150, 255);
            }
            .fa-arrow-right{
                background-color: transparent;
                color: rgb(37, 150, 255);
            }
        }

        p{
            color: #6e6e6e;
            font-size: 14px;
            line-height: 20px;
        }
    }
}
.env button {
    background-color: white;
    border: 1px solid rgb(224, 224, 224);
    padding: 5px 10px;
    margin-top: 5px;
    border-radius: 5px;
}

.toggle {
    display: inline-block;
    width: 30px;
    height: 15px;
    border-radius: 10px;
    margin-left: 10px;
    transition: .3s ease;
    cursor: pointer;
}

.toggle.on {
    position: relative;
    position: absolute;
    bottom: 10px;
    border-radius: 50px;
    background: rgb(2, 187, 2);
    padding: 5px 9px;
    transition: background .3s;

    div{
        position: absolute;
        padding: 10px;
        right: 3px;
        top: 2px;
        bottom: 2px;
        background-color: white;
        border-radius: 50%;
    }
}

#toggle-circle{
    transition: right .3s;
}

.toggle.on.active{
    background-color: grey;
}
.active #toggle-circle{
    right: 26px;
}


.toggle.off {
    background: gray;
    position: absolute;
    bottom: 10px;
    border-radius: 50px;
    padding: 5px 9px;
    transition: background .3s;


    div{
        position: absolute;
        padding: 10px;
        left: 3px;
        top: 2px;
        bottom: 2px;
        background-color: white;
        border-radius: 50%;
    }
    #toggle-circle2{
        transition: left .3s;
    }
}
.toggle.off.active{
    background-color: rgb(2, 187, 2);
}
.active #toggle-circle2{
    left: 26px;
}

.cta-nigeria{
    text-align: center;

    h3{
        font-size: 30px;
        font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif ;
        color: #353535;

    }

    p{
        color: #6e6e6e;
        font-size: 15px;
        padding: 0px 25%;
        line-height: 20px;
    }
}






.features{
    margin-top: 40px;
    padding: 20px;
    background-color: rgb(190, 190, 190);
    padding-bottom: 80px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    
}
.features-text{
    max-width: 40%;
    margin-right: 50px;
}
.features-text p{
    line-height: 25px;
    font-size: 17px;
}
.features h2{
    color: rgb(24, 0, 32);
    font-size: 70px;
    line-height: 100px;
}

.light-text{
    font-weight: 300;
    color: #353535;
}
.features-wrapper{
    width: 50%;
    display: grid;
    grid-template: auto auto/auto auto;
    gap: 20px;
}
.features-card{
    padding: 15px;
    background-color: rgb(211, 211, 211);
    height: 300px;
    border-radius: 10px;
    box-shadow: 2px 2px 10px rgb(104, 104, 104);
    transition: .3s ease-in-out;
}
.features-card:hover{
    box-shadow: 3px 3px 10px black;
}
.features-card h3{
    font-size: 23px;
    text-align: center;
    padding-bottom: 20px;
}
.features-card p{
    font-size: 16px;
}





.footer{
    border-top: .2px solid rgb(37, 37, 37);
    background-color: rgb(190, 190, 190);
    padding: 30px;
    color: black;
}
footer{
    display: flex;
    justify-content:space-between ;
}
.logo-div{
    font-size: 15px;
    max-width: 25%;
}
.logo-div img{
    height: 80px;
    margin-bottom: 30px;
    border-radius: 100px;
}
.logo-div p{
    font-size: 15px;
    margin-bottom: 15px;
}
.logo-div a{
    text-decoration: none;
}
.logo-div .fa-brands{
    font-size: 20px;
    padding-right: 10px;
    color: rgb(245, 110, 0);
}
footer h4{
    font-size: 20px;
}
footer a{
    text-decoration: none;
    transition: .3s;
}
footer a:hover{
    color: rgb(170, 77, 0);
}
.quick-links p{
    margin-bottom: 5px;
    font-size: 16px;
}
.quick-links a{
    color: rgb(245, 110, 0);
}
.services-section a{
    color: rgb(245, 110, 0);
}

#copyright{
    text-align: center;
    font-size: 13px;
}

















@media screen and (max-width: 850px) {
    
    header {
        color: white;
        padding: 20px 0px;
        align-items: center;
        align-content: center;
    }

    .Components{
        transform: translateY(0px);
        display: none;
        position: relative;
        background-color: transparent;
        padding: 0px;
        border-radius: 0px;
        left: 0px;
        margin-top: 0px;
        width: auto;
        border-top: 1px solid white;
        border-bottom: 1px solid white;
        text-align: left;
        
        a{
            line-height: 20px;
        }
    }

    nav{
        margin: 0px;
        align-items: normal;
        display: flex;
        justify-content: space-between;
    }
    nav img, .hamburger{
        margin: 0px 30px;
    }
    .hamburger{
        margin-top: 15px;
        display: block;
        cursor: pointer;
        height: 100%;
        transition: transform .5s ease-in-out;
    }
    .bar{
        width: 35px;
        height: 2px;
        background-color: #fff;
        margin-bottom: 6px;
        border-radius: 10px;
        transition: transform .5s ease-in-out;
    }
    .hamburger.change .bar1{
        -webkit-transform: rotate(-45deg) translate(-9px, 6px);
        transform: rotate(-45deg) translate(-5px, 6px);

    }
    .hamburger.change .bar2{
        opacity: 0;
    }
    .hamburger.change .bar3{
        -webkit-transform: rotate(45deg) translate(-8px, -8px);
        transform: rotate(45deg) translate(-5px, -6px);
    }
    
    nav ul {
        height: 100vh;
        text-align: left;
        left: -500px;
        top: 0;
        padding: 30px;
        padding-top: 90px;
        backdrop-filter: blur(10px);
        position: fixed;
        width: 70%;
        display: block;
        margin-top: 0;
        background-color: rgba(24, 0, 32, 0.966);
        transition: left .5s ease-in-out;
        color: white;
    }
    nav ul.visible{
        left: 0;
        margin: 0;
        text-align: left;
    }
    
    nav ul li {
        text-align: left;
        line-height: 80px;
        font-size: 15px;
        margin: 0;
        font-weight: normal;
        font-family:monospace;
    }
    
    nav ul li a {
        color: rgb(255, 255, 255);
        text-decoration: none;
    }



    /* Hero Section */
    .hero {
        align-content: center;
        text-align: left;
        animation: slowmotion 20s ease-in-out infinite;
    }
    @keyframes slowmotion {
        0%{
            background-position: top;
        }
        50%{
            background-position: left;
        }
        75%{
            background-position: right;
        }
        100%{
            background-position: center;
        }
    }
    .hero-text{
        text-align: left;
        margin-left: 0;
    }
    .hero-link{
        display: block;
        margin-left: 0;
    }
    .hero-text h2 {
        color: white;
        font-size: 40px;
    }
    .hero-text p{
        margin: 10px;
        font-size: 13px;
    }

    .orange-bg{
        margin-right: 20px;
        padding: 12px 18px;
        color: rgb(0, 0, 0);
        border-radius: 30px;
        text-decoration: none;
        margin-top: 10px;
    }
    .orange-border{
        background-color: none;
        padding: 12px 18px;
        border-radius: 30px;
        color: white;
        text-decoration: none;
    }
    .fa-arrow-right{
        padding: 7px;
        border-radius: 30px;
        border: none;
    }

    .container { 
        text-align: center;
        max-width: 300px; 
        margin: 10px 10px; 
        padding: 20px;
        border: 1px solid #ddd; 
        border-radius: 5px; 
        animation: appear .5s linear;
        animation-timeline: view();
        animation-range: entry 0% ;
    }

    @keyframes appear {
        from {
            opacity: 0;
            scale: 0;
        }
        to{
            opacity: 1;
            scale: 1;
        }
    }
    .invalidEmail{
        margin: 0px 10%;
        padding: 10px 50px;
        text-align: center;
        background-color: bisque;
        position: fixed;
        top: 30%;
        z-index: 50;
    }
    #haveResults{
        text-align: center;
        padding: 10px;
        margin: 10px 10%;
        background-color: green;
        color: white;
        line-height: 25px;
        font-size: 18px;
    }

    .cta-nigeria{
        text-align: center;
    
        h3{
            font-size: 30px;
            font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif ;
            color: #353535;
    
        }
    
        p{
            color: #6e6e6e;
            font-size: 15px;
            padding: 0px 0px;
            line-height: 20px;
        }
    }

    .features{
        margin-top: 40px;
        padding: 20px;
        background-color: rgb(190, 190, 190);
        padding-bottom: 80px;
        display: block;
        flex-wrap: wrap;
        justify-content: center;
    }
    .features-text{
        max-width: 100%;
        margin-right: 50px;
    }
    .features h2{
        color: rgb(24, 0, 32);
        font-size: 50px;
        line-height: 60px;
    }
    .light-text{
        font-weight: 100;
        color: #353535;
    }
    .features-wrapper{
        width: 100%;
        display: grid;
        grid-template: auto auto/auto auto;
        gap: 20px;
    }

    .categories{
        text-align: center;
        padding: 20px 30px;
    }

    .grid-container{
        padding: 100px 20px 50px 20px;
    }


    .grid-head{
    

        h2{
            font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
            font-weight: 1000;
            font-size: 30px;
        }
        p{
            font-size: 15px;
            line-height: 25px;
            color: #353535;
            padding: 10px 30px 10px 0px;
        }
    }

    .full-width{
        display: flex;
        flex-direction: column;
        width: 90%;
        justify-content: space-between;
        background-color: #f3f2f285;
        padding: 20px;
        border: 2px solid #bebdbd;
        border-radius: 20px;
        gap: 20px;


        .environments{
            width: 100%;
        }
    }
    



    .footer{
        text-align: center;
        padding: 80px 30px 30px 30px;
    }
    footer{
        display: block;
        height: auto;
        justify-content: center ;
    }
    .logo-div{
        font-size: 15px;
        max-width: 100%;
    }
    .logo-div img{
        height: 80px;
        margin-bottom: 30px;
    }
    
    .logo-div p{
        font-size: 14px;
        margin-bottom: 15px;
        margin-bottom: 20px;
    }
}










@media screen and (max-width: 500px) {
    

    /* Hero Section */
    .hero {
        text-align: left;
    }
    .hero-text{
        text-align: left;
        margin-left: 0;
    }
    .hero-link a{
        display: block;
        margin-bottom: 20px;
        margin-right: 120px;
    }
    .hero-text h2 {
        color: white;
        font-size: 30px;
    }

    .orange-bg{
        margin-right: 20px;
        padding: 12px 18px;
        color: rgb(0, 0, 0);
        border-radius: 30px;
        text-decoration: none;
        margin-top: 10px;
    }
    .orange-border{
        background-color: none;
        padding: 12px 18px;
        border-radius: 30px;
        color: white;
        text-decoration: none;
    }
    .fa-arrow-right{
        padding: 7px;
        border-radius: 30px;
        border: none;
    }


    .features-wrapper{
        width: 100%;
        display: block;
    }

    .full-width{
        display: flex;
        flex-direction: column;
        width: 87%;
        justify-content: space-between;
        background-color: #f3f2f285;
        padding: 20px;
        border: 2px solid #bebdbd;
        border-radius: 20px;
        gap: 20px;


        .environments{
            width: 100%;
        }
    }


    .grid{
        display: grid;
        grid-template-columns: repeat(auto-fill,minmax(250px, 1fr));
        margin-top: 30px;
        gap: 20px;
        row-gap: 20px;
    
        .card{
            padding: 20px;
            background-color: #f3f2f285;
            border-radius: 20px;
            border: 1.5px solid #bebdbd;
            text-decoration: none;
    
            h3{
                font-size: 18px;
                font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif ;
                color: #353535;
                
                strong{
                    color: rgb(37, 150, 255);
                }
                .fa-arrow-right{
                    background-color: transparent;
                    color: rgb(37, 150, 255);
                }
            }
    
            p{
                color: #6e6e6e;
                font-size: 14px;
                line-height: 20px;
            }
        }
    }
}